# Uses of Interface
java.lang.classfile.attribute.ModuleResolutionAttribute

Packages that use ModuleResolutionAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleResolutionAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ModuleResolutionAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ModuleResolutionAttribute>`
Attributes.`moduleResolution()`
Returns the mapper for the `ModuleResolution` attribute.

## Uses of ModuleResolutionAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ModuleResolutionAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ModuleResolutionAttribute`
Models the `ModuleResolution` attribute, which can appear on classes that represent module descriptors, to capture resolution metadata for modules.
Methods in java.lang.classfile.attribute that return ModuleResolutionAttribute
Modifier and Type
Method
Description
`static ModuleResolutionAttribute`
ModuleResolutionAttribute.`of(int resolutionFlags)`
Returns a `ModuleResolution` attribute.